io.vertx.rxjava.ext.mail

## Class MailService

- java.lang.Object
- - io.vertx.rxjava.ext.mail.MailClient
  - - io.vertx.rxjava.ext.mail.MailService

-     public class MailService
      extends MailClient

  Author:
    Tim Fox

    NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailService(MailService delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` close the MailClient
    `static MailService` | `createEventBusProxy(Vertx vertx, String address)` create a proxy of MailService that delegates to the mail service running somewhere else via the event bus
    `Object` | `getDelegate()`
    `static MailService` | `newInstance(MailService arg)`
    `MailService` | `sendMail(MailMessage email, Handler<AsyncResult<MailResult>> resultHandler)` send a single mail via MailClient
    `Observable<MailResult>` | `sendMailObservable(MailMessage email)` send a single mail via MailClient

    - ### Methods inherited from class io.vertx.rxjava.ext.mail.MailClient

      `createNonShared, createShared, createShared, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailService

          public MailService(MailService delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `MailClient`

    - #### createEventBusProxy

          public static MailService createEventBusProxy(Vertx vertx,
                                                        String address)

      create a proxy of MailService that delegates to the mail service running somewhere else via the event bus
      Parameters:
        `vertx` - the Vertx instance the proxy will be run in
        `address` - the eb address of the mail service running somewhere, default is "vertx.mail"
      Returns:
        MailService instance that can then be used to send multiple mails

    - #### sendMail

          public MailService sendMail(MailMessage email,
                                      Handler<AsyncResult<MailResult>> resultHandler)

      Description copied from class: `MailClient`
      send a single mail via MailClient
      Overrides:
        `sendMail` in class `MailClient`
      Parameters:
        `email` - MailMessage object containing the mail text, from/to, attachments etc
        `resultHandler` - will be called when the operation is finished or it fails (may be null to ignore the result)
      Returns:
        this MailClient instance so the method can be used fluently

    - #### sendMailObservable

          public Observable<MailResult> sendMailObservable(MailMessage email)

      Description copied from class: `MailClient`
      send a single mail via MailClient
      Overrides:
        `sendMailObservable` in class `MailClient`
      Parameters:
        `email` - MailMessage object containing the mail text, from/to, attachments etc
      Returns:

    - #### close

          public void close()

      Description copied from class: `MailClient`
      close the MailClient
      Overrides:
        `close` in class `MailClient`

    - #### newInstance

          public static MailService newInstance(MailService arg)

Copyright © 2016. All rights reserved.